TimeBoundsEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.time
Class TimeBoundsEvent

    java.lang.Object
      com.bbn.openmap.time.TimeBoundsEvent

    public class TimeBoundsEvent

extends java.lang.Object

Contains the message from a TimeBoundsHandler to a TimeBoundsListener. If the new TimeBounds is null, then the TimeBoundsHandler has gone inactive (nothing providing time bounds). If it isn't and the old TimeBounds is null, the TimeBoundsHandler has gone active (something is now providing time bounds).

Author:
  dietrick

Field Summary
`protected boolean` | `induceGraphicalUpdate`
`protected TimeBounds` | `newTimeBounds`
`protected TimeBounds` | `oldTimeBounds`
`protected TimeBoundsHandler` | `source`

Constructor Summary
`TimeBoundsEvent(TimeBoundsHandler source, TimeBounds ntb, TimeBounds otb)`

Method Summary
`TimeBounds` | `getNewTimeBounds()`
`TimeBounds` | `getOldTimeBounds()` Only really used to indicate when a TimeBoundsHandler has gone active, if this is null and the new TimeBounds isn't.
`TimeBoundsHandler` | `getSource()` The TimeBoundsHandler that is sending the message.
`boolean` | `isInduceGraphicalUpdate()`
`void` | `setInduceGraphicalUpdate(boolean induceGraphicalUpdate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected TimeBoundsHandler source

### newTimeBounds

    protected TimeBounds newTimeBounds

### oldTimeBounds

    protected TimeBounds oldTimeBounds

### induceGraphicalUpdate

    protected boolean induceGraphicalUpdate

Constructor Detail

### TimeBoundsEvent

    public TimeBoundsEvent(TimeBoundsHandler source,
                           TimeBounds ntb,
                           TimeBounds otb)

Method Detail

### getSource

    public TimeBoundsHandler getSource()

  The TimeBoundsHandler that is sending the message.

  Returns:
    source of time bounds message

### getNewTimeBounds

    public TimeBounds getNewTimeBounds()

  Returns:
    if null, the TimeBoundsHandler is now inactive. Otherwise, returns the updated TimeBounds.

### getOldTimeBounds

    public TimeBounds getOldTimeBounds()

  Only really used to indicate when a TimeBoundsHandler has gone active, if this is null and the new TimeBounds isn't.

  Returns:
    old time bounds

### isInduceGraphicalUpdate

    public boolean isInduceGraphicalUpdate()

  Returns:
    whether this event should cause any graphical changes. (Set to false if you're firing multiple events and you want only one of them - generally the last one, naturally - to begin the work of updating the display.)

### setInduceGraphicalUpdate

    public void setInduceGraphicalUpdate(boolean induceGraphicalUpdate)

  Parameters:
    `induceGraphicalUpdate` - Whether this event should cause any graphical changes. (Set to false if you're firing multiple events and you want only one of them - generally the last one, naturally - to begin the work of updating the display.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details